import QtQuick 2.2
import Filters 1.0

TransformPreviewOneValue {
    id: transformPreview

    minimumValue: -180.0
    maximumValue: 180
    defaultValue: 0.0
    function formatValue(v) {
        return v.toFixed(2);
    }

    previewTransform: HalideEffect {
        generatorName: "rotation"
        property var input: transformPreview.imageLoader.image
        property real angle: transformPreview.value
    }

    saveTransform: HalideTransform {
        generatorName: "rotation"
        property var input
        property real angle: transformPreview.value
    }
}
