import QtQuick 2.2
import Filters 1.0

TransformPreviewOneValue {
    id: transformPreview

    minimumValue: 0
    maximumValue: 16
    defaultValue: 3

    property real downscaleFactor: transformPreview.imageLoader.sourceSize.width / transformPreview.imageLoader.actualSize.width

    previewTransform: HalideEffect {
        id: effect
        generatorName: "box_blur"
        property var input: transformPreview.imageLoader.image
        property real scale: downscaleFactor * transform.scale
    }

    saveTransform: HalideTransform {
        id: transform
        generatorName: "box_blur"
        property var input
        property real scale: Math.round(transformPreview.value)
    }
}
