import QtQuick 2.2
import Filters 1.0

TransformPreviewRect {
    id: transformPreview

    minimumValue: 0.0
    maximumValue: 1.0
    defaultValue: 1.0
    function formatValue(v) {
        return v.toFixed(2);
    }

    previewTransform: HalideEffect {
        generatorName: "crop"
        property var input: transformPreview.imageLoader.image
        property real startX: transformPreview.valueX
        property real startY: transformPreview.valueY
        property real cropWidth: transformPreview.valueWidth
        property real cropHeight: transformPreview.valueHeight
    }

    saveTransform: HalideTransform {
        generatorName: "crop"
        property var input
        property real startX: transformPreview.valueX
        property real startY: transformPreview.valueY
        property real cropWidth: transformPreview.valueWidth
        property real cropHeight: transformPreview.valueHeight
    }
}
