import QtQuick 2.2
import Filters 1.0

TransformPreviewOneValue {
    id: transformPreview

    minimumValue: 0.0
    maximumValue: 2.0
    defaultValue: 1.0
    function formatValue(v) {
        return v.toFixed(2);
    }

    previewTransform: HalideEffect {
        generatorName: "saturation"
        property var input: transformPreview.imageLoader.image
        property real saturation: transformPreview.value
    }

    saveTransform: HalideTransform {
        generatorName: "saturation"
        property var input
        property real saturation: transformPreview.value
    }
}
